PublicApiCreateApiKey
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scopes": [],
"accessLevel": "workspace"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', scopes: [], accessLevel: 'workspace'})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"apiKey": {
"id": "<string>",
"name": "<string>",
"prefix": "<string>",
"scopes": [
"<string>"
],
"accessLevel": "workspace",
"createdAt": "2023-11-07T05:31:56Z"
},
"rawKey": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}API Keys
PublicApiCreateApiKey
POST /api/v1/organizations//api-keys
POST
/
api
/
v1
/
organizations
/
{orgId}
/
api-keys
PublicApiCreateApiKey
curl --request POST \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scopes": [],
"accessLevel": "workspace"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', scopes: [], accessLevel: 'workspace'})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"apiKey": {
"id": "<string>",
"name": "<string>",
"prefix": "<string>",
"scopes": [
"<string>"
],
"accessLevel": "workspace",
"createdAt": "2023-11-07T05:31:56Z"
},
"rawKey": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Path Parameters
Body
application/json
Required string length:
1 - 100Minimum array length:
1Available options:
organizations:read, workspaces:read, api_keys:read, api_keys:write, campaigns:read, campaigns:write, contacts:read, contacts:write, connectors:read, connectors:write, inbox:read, inbox:write, kb:read, kb:write, offerings:read, offerings:write, tracking:read, tracking:write, billing:read, billing:write, members:read, members:write, groups:write, domains:read, domains:write, deals:read, deals:write, companies:read, companies:write, activities:read, activities:write, copilot:read, copilot:write, suppression:read, blocked_domains:read, blocked_domains:write, email_auth:read, email_auth:write, direct_email:write, direct_email:approve, * Available options:
workspace, organization